import React from 'react';

import BaseLogin from './template/baseLogin';
import NewYear from './template/newYear';
import InfoLogin from './template/infoLogin';
import Yulin from './template/yulin';
import { initGlobalConfig } from '../../../initConfig';
/* eslint-disable */
export default () => {

  React.useEffect(() => {
    initGlobalConfig();
  }, []);
  
  const loginTemplate = window.globalConfig && window.globalConfig.loginTemplate;
  switch(loginTemplate) {
    case '新春 - 智联.html':
      return <NewYear/>
    case 'Dark - IOTMultiLogin.html':
    case 'Dark.html':
      return <BaseLogin/>
    case '信息化.html':
      return <InfoLogin />
    case '项目 - 榆林.html':
      return <Yulin />
    default:
      return <BaseLogin/>;
  }
};

